Set the number-ownership webhook URL
Set the HTTPS URL that receives number-ownership events for this enterprise: number_reputation.number.flagged, number_reputation.number.removed and number_reputation.external_verification.status_changed. Send webhook_url: null to stop receiving them.
PATCH
/
enterprises
/
{enterprise_id}
/
reputation
/
webhook
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.updateWebhook('enterprise_id', {
webhook_url: 'https://example.com/webhooks/telnyx',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.update_webhook(
enterprise_id="enterprise_id",
webhook_url="https://example.com/webhooks/telnyx",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.UpdateWebhook(
context.TODO(),
"enterprise_id",
telnyx.EnterpriseReputationUpdateWebhookParams{
WebhookURL: "https://example.com/webhooks/telnyx",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateWebhookParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReputationUpdateWebhookParams params = ReputationUpdateWebhookParams.builder()
.webhookUrl("https://example.com/webhooks/telnyx")
.build();
var response = client.enterprises().reputation().updateWebhook("enterprise_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.update_webhook("enterprise_id", webhook_url: "https://example.com/webhooks/telnyx")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->updateWebhook(
'enterprise_id',
webhook_url: 'https://example.com/webhooks/telnyx',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation update-webhook \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--webhook-url https://example.com/webhooks/telnyxcurl --request PATCH \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook_url": "https://example.com/webhooks/telnyx"
}
'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"check_frequency": "business_daily",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"external_verification_status": "pending",
"webhook_url": "https://example.com/webhooks/telnyx",
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
Body
application/json
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.updateWebhook('enterprise_id', {
webhook_url: 'https://example.com/webhooks/telnyx',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.update_webhook(
enterprise_id="enterprise_id",
webhook_url="https://example.com/webhooks/telnyx",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.UpdateWebhook(
context.TODO(),
"enterprise_id",
telnyx.EnterpriseReputationUpdateWebhookParams{
WebhookURL: "https://example.com/webhooks/telnyx",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateWebhookParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReputationUpdateWebhookParams params = ReputationUpdateWebhookParams.builder()
.webhookUrl("https://example.com/webhooks/telnyx")
.build();
var response = client.enterprises().reputation().updateWebhook("enterprise_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.update_webhook("enterprise_id", webhook_url: "https://example.com/webhooks/telnyx")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->updateWebhook(
'enterprise_id',
webhook_url: 'https://example.com/webhooks/telnyx',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation update-webhook \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--webhook-url https://example.com/webhooks/telnyxcurl --request PATCH \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook_url": "https://example.com/webhooks/telnyx"
}
'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"check_frequency": "business_daily",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"external_verification_status": "pending",
"webhook_url": "https://example.com/webhooks/telnyx",
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}